org.apache.fop.fonts

## Class FontEventProducer.Provider

- java.lang.Object
- - org.apache.fop.fonts.FontEventProducer.Provider

- Enclosing interface:
    FontEventProducer

      public static final class FontEventProducer.Provider
      extends java.lang.Object

  Provider class for the event producer.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FontEventProducer` | `get(EventBroadcaster broadcaster)` Returns an event producer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### get

          public static FontEventProducer get(EventBroadcaster broadcaster)

      Returns an event producer.
      Parameters:
        `broadcaster` - the event broadcaster to use
      Returns:
        the event producer

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.